For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgents

List agents

GET
/v1/convai/agents
GET
/v1/convai/agents
$curl https://api.elevenlabs.io/v1/convai/agents
1{
2 "agents": [
3 {
4 "agent_id": "J3Pbu5gP6NNKBscdCdwB",
5 "name": "My Agent",
6 "tags": [
7 "Customer Support",
8 "Technical Help",
9 "Eleven"
10 ],
11 "created_at_unix_secs": 1716153600,
12 "access_info": {
13 "is_creator": true,
14 "creator_name": "John Doe",
15 "creator_email": "john@example.com",
16 "role": "admin"
17 },
18 "archived": false
19 }
20 ],
21 "has_more": false,
22 "next_cursor": "123"
23}
Returns a list of your agents and their metadata.
Was this page helpful?
Previous

Update agent

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-100Defaults to 30
How many Agents to return at maximum. Can not exceed 100, defaults to 30.
searchstring or nullOptional
Search by agents name.
archivedboolean or nullOptionalDefaults to false
Filter agents by archived status
show_only_owned_agentsbooleanOptionalDefaults to falseDeprecated

If set to true, the endpoint will omit any agents that were shared with you by someone else and include only the ones you own. Deprecated: use created_by_user_id instead.

created_by_user_idstring or nullOptional

Filter agents by creator user ID. When set, only agents created by this user are returned. Takes precedence over show_only_owned_agents. Use ‘@me’ to refer to the authenticated user.

sort_directionenumOptional
The direction to sort the results
Allowed values:
sort_byenum or nullOptional
The field to sort the results by
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
agentslist of objects
A list of agents and their metadata
has_moreboolean
Whether there are more agents to paginate through
next_cursorstring or null
The next cursor to paginate through the agents

Errors

422
Unprocessable Entity Error